Page MenuHomePhabricator

efl_container: remove content_remove
ClosedPublic

Authored by YOhoho on Feb 12 2019, 3:49 AM.

Details

Summary

Most of classes implements Efl.Container.content_remove are just calling "unpack"
except of "Efl.Canvas.Layout" and "Efl.Ui.Layout".
This patch remove the asymmetrical API and add content_remove API of
"Efl.Canvas.Layout" and "Efl.Ui.Layout" that child can be remove without efl_part
APIs.

ref T7576

Test Plan

make check

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
YOhoho created this revision.Feb 12 2019, 3:49 AM
YOhoho requested review of this revision.Feb 12 2019, 3:49 AM
YOhoho updated this revision to Diff 19322.Feb 12 2019, 3:55 AM
YOhoho edited the summary of this revision. (Show Details)

update commit message

I like that Efl.Container is symmetrical now.
However, now Efl.Ui.Layout has content_remove but no content_add. It's a step forward, though.
What do you think @bu5hm4n and @zmike ?

zmike accepted this revision.Feb 12 2019, 5:44 AM

I think this makes sense as it enforces the 1:1 of using the same api for removing child objects as is used to add a child object.

This revision is now accepted and ready to land.Feb 12 2019, 5:44 AM

@bu5hm4n
If you don't mind this changes, i would like to land this patch.

bu5hm4n accepted this revision.Feb 26 2019, 3:53 AM

Sure :)

Closed by commit rEFL4628021fe547: efl_container: remove content_remove (authored by Yeongjong Lee <yj34.lee@samsung.com>, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 27 2019, 12:20 PM
This revision was automatically updated to reflect the committed changes.